RESTinio

Public Attributes | List of all members
restinio::easy_parser::impl::character_t Struct Reference

One character extracted from the input stream. More...

`#include <easy_parser.hpp>`

## Public Attributes
bool | m_eof
char | m_ch

## Detailed Description

One character extracted from the input stream.

If the characted extracted successfuly then m_eof will be `false`. If the end of input reached then m_eof is `true` and the value of m_ch is undefined.

Since
  v.0.6.1

Definition at line 592 of file easy_parser.hpp.

## Member Data Documentation

## ◆ m_ch

char restinio::easy_parser::impl::character_t::m_ch

Definition at line 595 of file easy_parser.hpp.

## ◆ m_eof

bool restinio::easy_parser::impl::character_t::m_eof

Definition at line 594 of file easy_parser.hpp.

The documentation for this struct was generated from the following file:

- restinio/helpers/easy_parser.hpp